package com.ssj.service.kmt.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Author: chchen
 * @Description
 * @Date Create in 17:21 2020/4/16
 * @Modified By
 */
public class KmtQuestionRollbackRequest extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "dealType", value = "类型，1加工员打回，2审核员打回, 3超级管理员打回", required = true)
    private Integer  dealType;

    @ApiModelProperty(name = "parentIds", value = "题目列表", required = true)
    private List<String> parentIds;

    @ApiModelProperty(name = "reason", value = "打回理由")
    private String reason;

    public Integer getDealType() {
        return dealType;
    }

    public void setDealType(Integer dealType) {
        this.dealType = dealType;
    }

    public List<String> getParentIds() {
        return parentIds;
    }

    public void setParentIds(List<String> parentIds) {
        this.parentIds = parentIds;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }
}
